org.bouncycastle.asn1.x509

## Class PolicyQualifierId

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DERObjectIdentifier
        - - org.bouncycastle.asn1.x509.PolicyQualifierId

All Implemented Interfaces:
  DEREncodable, DERTags

    public class PolicyQualifierId
    extends DERObjectIdentifier

PolicyQualifierId, used in the CertificatePolicies X509V3 extension.

        id-qt          OBJECT IDENTIFIER ::=  { id-pkix 2 }
        id-qt-cps      OBJECT IDENTIFIER ::=  { id-qt 1 }
        id-qt-unotice  OBJECT IDENTIFIER ::=  { id-qt 2 }
      PolicyQualifierId ::=
           OBJECT IDENTIFIER (id-qt-cps | id-qt-unotice)

### Field Summary

Fields
`static PolicyQualifierId` `id_qt_cps`
`static PolicyQualifierId` `id_qt_unotice`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Method Summary

### Methods inherited from class org.bouncycastle.asn1.DERObjectIdentifier

`getId, getInstance, getInstance, hashCode, toString`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id_qt_cps

    public static final PolicyQualifierId id_qt_cps

#### id_qt_unotice

    public static final PolicyQualifierId id_qt_unotice